AEADBadTagException (Java Platform SE 8 )
Keywords: javax.crypto.AEADBadTagException class
Date: 2016-04-24

compact1, compact2, compact3
javax.crypto

## Class AEADBadTagException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.crypto.BadPaddingException
        - - javax.crypto.AEADBadTagException

- All Implemented Interfaces:
    Serializable

      public class AEADBadTagException
      extends BadPaddingException

  This exception is thrown when a `Cipher` operating in an AEAD mode (such as GCM/CCM) is unable to verify the supplied authentication tag.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AEADBadTagException()` Constructs a AEADBadTagException with no detail message.
    `AEADBadTagException(String msg)` Constructs a AEADBadTagException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AEADBadTagException

          public AEADBadTagException()

      Constructs a AEADBadTagException with no detail message.

    - #### AEADBadTagException

          public AEADBadTagException(String msg)

      Constructs a AEADBadTagException with the specified detail message.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.